VPS侦探论坛

 找回密码
 注册
查看: 353|回复: 2

创建证书出现错误,请问这是啥原因?lnmp1.4

[复制链接]
发表于 2020-10-20 11:59:57 | 显示全部楼层 |阅读模式



本帖最后由 1lx570 于 2020-10-20 12:02 编辑

创建证书出现错误,请问这是啥原因?lnmp1.4
Reload Nginx......
Test Apache configure file...
test apache configure... Syntax OK
done
Restart Apache...
restart apache...  done
/bin/certbot [found]
index-url = https://pypi.doubanio.com/simple/
pip.conf exist.
Starting create SSL Certificate use Let's Encrypt...
Saving debug log to /var/log/letsencrypt/letsencrypt.log
Plugins selected: Authenticator webroot, Installer None
Unable to register an account with ACME server
Let's Encrypt SSL Certificate create failed!

错误日志:2020-10-20 11:35:02,880EBUG:certbot._internal.main:
Traceback (most recent call last):
  File "/opt/eff.org/certbot/venv/lib64/python3.6/site-packages/certbot/_internal/client.py", line 218, in perform_registration
    return acme.new_account_and_tos(newreg, tos_cb)
  File "/opt/eff.org/certbot/venv/lib64/python3.6/site-packages/acme/client.py", line 861, in new_account_and_tos
    return self.client.new_account(regr)
  File "/opt/eff.org/certbot/venv/lib64/python3.6/site-packages/acme/client.py", line 603, in new_account
    response = self._post(self.directory['newAccount'], new_account)
  File "/opt/eff.org/certbot/venv/lib64/python3.6/site-packages/acme/client.py", line 97, in _post
    return self.net.post(*args, **kwargs)
  File "/opt/eff.org/certbot/venv/lib64/python3.6/site-packages/acme/client.py", line 1201, in post
    return self._post_once(*args, **kwargs)
  File "/opt/eff.org/certbot/venv/lib64/python3.6/site-packages/acme/client.py", line 1214, in _post_once
    response = self._check_response(response, content_type=content_type)
  File "/opt/eff.org/certbot/venv/lib64/python3.6/site-packages/acme/client.py", line 1072, in _check_response
    raise messages.Error.from_json(jobj)
acme.messages.Error: urn:ietf:params:acme:error:invalidEmail :: The provided email for a registration was invalid :: Error creating new account :: "n" is not a valid e-mail address

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/eff.org/certbot/venv/lib64/python3.6/site-packages/certbot/_internal/main.py", line 520, in _determine_account
    config, account_storage, tos_cb=_tos_cb)
  File "/opt/eff.org/certbot/venv/lib64/python3.6/site-packages/certbot/_internal/client.py", line 175, in register
    regr = perform_registration(acme, config, tos_cb)
  File "/opt/eff.org/certbot/venv/lib64/python3.6/site-packages/certbot/_internal/client.py", line 225, in perform_registration
    raise errors.Error(msg)
certbot.errors.Error: The ACME server believes n is an invalid email address. Please ensure it is a valid email and attempt registration again.
2020-10-20 11:35:02,885EBUG:certbot._internal.log:Exiting abnormally:
Traceback (most recent call last):
  File "/opt/eff.org/certbot/venv/lib64/python3.6/site-packages/certbot/_internal/client.py", line 218, in perform_registration
    return acme.new_account_and_tos(newreg, tos_cb)
  File "/opt/eff.org/certbot/venv/lib64/python3.6/site-packages/acme/client.py", line 861, in new_account_and_tos
    return self.client.new_account(regr)
  File "/opt/eff.org/certbot/venv/lib64/python3.6/site-packages/acme/client.py", line 603, in new_account
    response = self._post(self.directory['newAccount'], new_account)
  File "/opt/eff.org/certbot/venv/lib64/python3.6/site-packages/acme/client.py", line 97, in _post
    return self.net.post(*args, **kwargs)
  File "/opt/eff.org/certbot/venv/lib64/python3.6/site-packages/acme/client.py", line 1201, in post
    return self._post_once(*args, **kwargs)
  File "/opt/eff.org/certbot/venv/lib64/python3.6/site-packages/acme/client.py", line 1214, in _post_once
    response = self._check_response(response, content_type=content_type)
  File "/opt/eff.org/certbot/venv/lib64/python3.6/site-packages/acme/client.py", line 1072, in _check_response
    raise messages.Error.from_json(jobj)
acme.messages.Error: urn:ietf:params:acme:error:invalidEmail :: The provided email for a registration was invalid :: Error creating new account :: "n" is not a valid e-mail address

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/eff.org/certbot/venv/lib64/python3.6/site-packages/certbot/_internal/main.py", line 520, in _determine_account
    config, account_storage, tos_cb=_tos_cb)
  File "/opt/eff.org/certbot/venv/lib64/python3.6/site-packages/certbot/_internal/client.py", line 175, in register
    regr = perform_registration(acme, config, tos_cb)
  File "/opt/eff.org/certbot/venv/lib64/python3.6/site-packages/certbot/_internal/client.py", line 225, in perform_registration
    raise errors.Error(msg)
certbot.errors.Error: The ACME server believes n is an invalid email address. Please ensure it is a valid email and attempt registration again.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/eff.org/certbot/venv/bin/letsencrypt", line 11, in <module>
    load_entry_point('letsencrypt==0.7.0', 'console_scripts', 'letsencrypt')()
  File "/opt/eff.org/certbot/venv/lib64/python3.6/site-packages/certbot/main.py", line 15, in main
    return internal_main.main(cli_args)
  File "/opt/eff.org/certbot/venv/lib64/python3.6/site-packages/certbot/_internal/main.py", line 1362, in main
    return config.func(config, plugins)
  File "/opt/eff.org/certbot/venv/lib64/python3.6/site-packages/certbot/_internal/main.py", line 1226, in certonly
    le_client = _init_le_client(config, auth, installer)
  File "/opt/eff.org/certbot/venv/lib64/python3.6/site-packages/certbot/_internal/main.py", line 604, in _init_le_client
    acc, acme = _determine_account(config)
  File "/opt/eff.org/certbot/venv/lib64/python3.6/site-packages/certbot/_internal/main.py", line 526, in _determine_account
    "Unable to register an account with ACME server")
certbot.errors.Error: Unable to register an account with ACME server
2020-10-20 11:35:02,887:ERROR:certbot._internal.log:Unable to register an account with ACME server


美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
发表于 2020-10-20 13:08:55 | 显示全部楼层


lnmp 1.4的certbot已经废弃了,目前用acme.sh,可以下载最新的lnmp 1.7安装包,解压后在安装包目录下面执行:./upgrade1.x-1.7.sh ssl 按提示进行升级,可以参考:https://lnmp.org/notice/lnmp-v-15.html 这里的说明
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org
 楼主| 发表于 2020-10-20 16:24:42 | 显示全部楼层



licess 发表于 2020-10-20 13:08
lnmp 1.4的certbot已经废弃了,目前用acme.sh,可以下载最新的lnmp 1.7安装包,解压后在安装包目录下面执行 ...

好的  多谢
美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|Archiver|VPS侦探 ( 鲁ICP备16040043号-1 )

GMT+8, 2020-11-25 01:13 , Processed in 0.120215 second(s), 26 queries .

Powered by Discuz! X3.4

Copyright © 2001-2020, Tencent Cloud.

快速回复 返回顶部 返回列表